The Alternative Csound Reference Manual
Previous |  | Next

# tableng

tableng -- Interrogates a function table for length.

## Description

Interrogates a function table for length.

## Syntax

ir tableng ifn

kr tableng kfn

## Initialization

ifn -- Table number to be interrogated

## Performance

kfn -- Table number to be interrogated

tableng returns the length of the specified table. This will be a power of two number in most circumstances. It will not show whether a table has a guardpoint or not. It seems this information is not available in the table's data structure. If the specified table is not found, then 0 will be returned.

Likely to be useful for setting up code for table manipulation operations, such as tablemix and tablecopy.

## Credits

Author: Robin Whittle
Australia
May 1997

Previous | Home | Next
tablemix | Up | tablera